The officially official Devuan Forum!

You are not logged in.

#1 2020-06-23 00:31:29

mtbvfr
Member
Registered: 2017-07-29
Posts: 62  

?? Manual Upgrade to Beowulf from Ascii 2.1 ??

Hi Folks,

I am, I guess, about midway through an upgrade to Beowulf from Ascii 2.1.

My current situation is that I am using a Cell Phone plan for my connection to the Internet and the plan although "Unlimited" has a limit of 2GB for Tethering.

So, whilst online, I modified the sources.list file as detailed in the instructions for "Upgrade to Beowulf".


In Synaptic I did the following.

I updated the Package Database by using the button for "Reload Package Information".

I marked All Upgrades by using the button for "Mark All Upgrades".

From the File Menu, I selected "Generate package download script" which created a file with 2644 wget commands.


On my phone I did the following.

I installed Termux and with Termux I installed the wget package.

From my Laptop I transferred the Download Script file to the phone.

In Termux I executed the Script File which eventually downloaded over 1.6GB of files.


On the Laptop, I transferred the package files from the phone to 1 of my Hard Drives.


So, now to the questions.

When you Mark All Upgrades in Synaptic, a dialogue window is displayed with a list of packages categorised into 3 sections which are "To be removed", "To be installed" & "To be upgraded".

There are 58 packages Marked for Removal.

Does the synaptic option to "Add downloaded packages" remove packages that are marked for removal?

If not, would the packages Marked for Removal still be marked as such after the "Add downloaded packages" procedure has terminated?

If so, I have the idea that with the new Filter, I created in Synaptic, called "Marked for Removal", I can easily find those packages again and then use the Apply button to "Apply Marked Changes" to have them removed.


If, after the "Add downloaded packages" procedure has terminated, the packages that were Marked for Removal are no longer Marked for Removal, could I again Mark All Upgrades to remark them for removal and, then, use my new filter to check that that has been successful before using the Apply button to "Apply Marked Changes"?


I used the "Save Markings As..." feature of Synaptic to save the Markings created by the Mark All Upgrades feature.

Are the records, in that Tab delimited file, in a specific order that will be followed for the installation and deinstallation of the packages?

I have created a Spreadsheet with only the packages marked for Deinstallation and in Alphabetical order which aligns with what is presented in the dialogue window that is displayed when you use the Mark All Upgrades feature of Synaptic.

I am thinking, if necessary, that I could use that file to remark the packages for removal with the "Read Markings..." feature of Synaptic.

Thanks!!, MTB.

Last edited by mtbvfr (2020-06-23 18:32:40)

Offline

#2 2020-06-23 00:52:37

golinux
Administrator
Registered: 2016-11-25
Posts: 2,061  

Re: ?? Manual Upgrade to Beowulf from Ascii 2.1 ??

Did you upgrade ascii before changing your sources list to beowulf?

This is a comment not an answer to your question(s).   I use synaptic most of the time. I also usually start from scratch with a new install so I don't have many upgrades under my belt.  I know you have your reasons but I would never trust a dist upgrade to synaptic. I would do it in a terminal.  Just my .02.

I hope it works out for you . . .

Online

#3 2020-06-23 01:08:20

mtbvfr
Member
Registered: 2017-07-29
Posts: 62  

Re: ?? Manual Upgrade to Beowulf from Ascii 2.1 ??

golinux wrote:

Did you upgrade ascii before changing your sources list to beowulf?

Hi golinux,

There was nothing in the instructions for "Upgrade to Beowulf" regarding the need to upgrade Ascii first.

Could I reverse the changes to the sources.list file and then create a Download Script for that and then follow through with that process in the same way as I documented above before doing the upgrade to Beowulf?

Thanks!!, MTB.

Offline

#4 2020-06-23 01:21:39

golinux
Administrator
Registered: 2016-11-25
Posts: 2,061  

Re: ?? Manual Upgrade to Beowulf from Ascii 2.1 ??

Yes. I checked and saw that bit of advice is not in the documentation.  Should probably be added . . . prior knowledge should never be assumed.  I'll leave it to someone more versed in upgrades to give you advice about where to go from where you are.

Online

#5 2020-06-23 23:04:40

mtbvfr
Member
Registered: 2017-07-29
Posts: 62  

Re: ?? Manual Upgrade to Beowulf from Ascii 2.1 ??

golinux wrote:

Yes. I checked and saw that bit of advice is not in the documentation.  Should probably be added . . . prior knowledge should never be assumed.  I'll leave it to someone more versed in upgrades to give you advice about where to go from where you are.

Hi golinux,

I undid the changes to the sources.list file so that it was referencing the repositories for Ascii again.

When I reloaded the package information, the status bar showed that there were 0 broken packages, 0 packages to install/upgrade & 0 to remove.

To which of the developers, would you suggest, that I send a PM so that I can receive their feedback on my original post?

Thanks!!, MTB.

Last edited by mtbvfr (2020-06-23 23:05:10)

Offline

#6 2020-06-24 00:00:56

fsmithred
Administrator
Registered: 2016-11-25
Posts: 1,639  

Re: ?? Manual Upgrade to Beowulf from Ascii 2.1 ??

mtbvfr wrote:

To which of the developers, would you suggest, that I send a PM so that I can receive their feedback on my original post?

Thanks!!, MTB.

I don't know. You already heard from the only one who uses synaptic

I can tell you that apt and apt-get will not automatically remove packages that were automatically installed with the packages you are removing. In a terminal, you would be told to run 'apt autoremove' to remove them.

On the other hand, aptititude will remove them automatically. The only way I know to get them off the removal list is to install them manually, and then they get marked as 'manually installed.'

It's probably safe for you to do it in synaptic and then you can tell us whether it autoremoves what is no longer needed or makes you do it manually. It's especially safe since you already have that list of packages.

Offline

#7 2020-06-24 00:24:43

mtbvfr
Member
Registered: 2017-07-29
Posts: 62  

Re: ?? Manual Upgrade to Beowulf from Ascii 2.1 ??

fsmithred wrote:

I can tell you that apt and apt-get will not automatically remove packages that were automatically installed with the packages you are removing. In a terminal, you would be told to run 'apt autoremove' to remove them.

Hi fsmithred,

The above paragraph needs an example please.

Are you saying that the packages, that are marked for Removal (deinstall), could have had other packages (dependencies) installed with them and, if so, that these dependency packages would not be automatically removed?


Also, should 'apt autoremove' be 'apt-get autoremove'?

Thanks!!, MTB.

Offline

#8 2020-06-24 01:42:00

golinux
Administrator
Registered: 2016-11-25
Posts: 2,061  

Re: ?? Manual Upgrade to Beowulf from Ascii 2.1 ??

If ascii is fully upgraded, you should be good to go.

In Synaptic there is an option under "Status" for "Installed (auto removable)".  Some other options are also available if you poke a around a bit.  I am rather sloppy about tending to such things . . .

Online

#9 2020-06-24 02:16:22

fsmithred
Administrator
Registered: 2016-11-25
Posts: 1,639  

Re: ?? Manual Upgrade to Beowulf from Ascii 2.1 ??

apt and apt-get are mostly the same. I ran it as user instead of root, so there's a little more message than usual.

Here's an example of what I was describing:

$ apt -s remove gvfs-daemons
NOTE: This is only a simulation!
      apt needs root privileges for real execution.
      Keep also in mind that locking is deactivated,
      so don't depend on the relevance to the real current situation!
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  gvfs-common gvfs-libs libavahi-glib1
Use 'apt autoremove' to remove them.
The following packages will be REMOVED:
  gvfs gvfs-backends gvfs-daemons
0 upgraded, 0 newly installed, 3 to remove and 0 not upgraded.
Remv gvfs-backends [1.38.1-5]
Remv gvfs [1.38.1-5]
Remv gvfs-daemons [1.38.1-5]

Offline

#10 2020-06-25 19:35:02

mtbvfr
Member
Registered: 2017-07-29
Posts: 62  

Re: ?? Manual Upgrade to Beowulf from Ascii 2.1 ??

golinux wrote:

nada

fsmithred wrote:

nada

Hi Guys,

Doesn't appear that FluxBB has a User Mention feature. So, I quoted you both instead.

I just posted the following topic.

Errors encountered processing: libgstreamer-gl1.0-0_1.14.4-2_amd64.deb



Thanks!!, MTB.

Offline

#11 2020-06-25 20:09:46

golinux
Administrator
Registered: 2016-11-25
Posts: 2,061  

Re: ?? Manual Upgrade to Beowulf from Ascii 2.1 ??

Definition of "quote":

quote kwōt►

    intransitive verb
    To repeat or copy (words from a source such as a book), usually with acknowledgment of the source.
    intransitive verb
    To repeat or copy the words of (a person or a book or other source).

Online

Board footer